Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Class JndiLaunchable

    java.lang.Object
      org.eclipse.jst.server.core.JndiLaunchable

    public class JndiLaunchable

extends java.lang.Object

A representation of an object in JNDI that can be tested on a server.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`JndiLaunchable(java.util.Properties props, java.lang.String jndiName)` Create a reference to an object that is launchable via JNDI.

Method Summary
`java.lang.String` | `getJNDIName()` Returns the JNDI name of the object.
`java.util.Properties` | `getProperties()` Returns the JNDI properties required to connect to the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiLaunchable

    public JndiLaunchable(java.util.Properties props,
                          java.lang.String jndiName)

  Create a reference to an object that is launchable via JNDI.

  Parameters:
    `props` - the JNDI properties required to connect to the object
    `jndiName` - the JNDI name of the object

Method Detail

### getProperties

    public java.util.Properties getProperties()

  Returns the JNDI properties required to connect to the object.

  Returns:
    the JNDI properties required to connect to the object

### getJNDIName

    public java.lang.String getJNDIName()

  Returns the JNDI name of the object.

  Returns:
    the JNDI name of the object

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD